| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
EndpointDataModel Class Reference
Inheritance diagram for EndpointDataModel:

## Public Types
enum | endpoint_column_type_e { ENDP_COLUMN_ADDR , ENDP_COLUMN_PORT , ENDP_COLUMN_PACKETS , ENDP_COLUMN_BYTES , ENDP_COLUMN_PACKETS_TOTAL , ENDP_COLUMN_BYTES_TOTAL , ENDP_COLUMN_PKT_AB , ENDP_COLUMN_BYTES_AB , ENDP_COLUMN_PKT_BA , ENDP_COLUMN_BYTES_BA , ENDP_NUM_COLUMNS , ENDP_COLUMN_GEO_COUNTRY = ENDP_NUM_COLUMNS , ENDP_COLUMN_GEO_CITY , ENDP_COLUMN_GEO_LATITUDE , ENDP_COLUMN_GEO_LONGITUDE , ENDP_COLUMN_GEO_AS_NUM , ENDP_COLUMN_GEO_AS_ORG , ENDP_NUM_GEO_COLUMNS }
Public Types inherited from ATapDataModel
enum | { DISPLAY_FILTER = Qt::UserRole , UNFORMATTED_DISPLAYDATA , TIMELINE_DATA , ENDPOINT_DATATYPE , PROTO_ID , CONVERSATION_ID , ROW_IS_FILTERED , DATA_ADDRESS_TYPE , DATA_IPV4_INTEGER , DATA_IPV6_LIST }
enum | dataModelType { DATAMODEL_ENDPOINT , DATAMODEL_CONVERSATION , DATAMODEL_UNKNOWN }

## Public Member Functions
| EndpointDataModel (int protoId, QString filter, QObject *parent=nullptr)
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
QVariant | headerData (int section, Qt::Orientation orientation=Qt::Horizontal, int role=Qt::DisplayRole) const override
QVariant | data (const QModelIndex &idx, int role=Qt::DisplayRole) const override
void | setResolveNames (bool resolve) override
| Enable or disable if names should be resolved.
void | useAbsoluteTime (bool absolute) override
| Use absolute time for any column supporting it.
void | useNanosecondTimestamps (bool nanoseconds) override
| Use nanosecond timestamps if requested.
Public Member Functions inherited from ATapDataModel
| ATapDataModel (dataModelType type, int protoId, QString filter, QObject *parent=nullptr)
| Construct a new ATapDataModel object.
int | rowCount (const QModelIndex &parent=QModelIndex()) const
| Number of rows under the given parent in this model, which is the total number of rows for the empty QModelIndex, and 0 for any valid parent index (as no row has children; this is a flat table.)
QString | tap () const
| Returns the name for the tap being used.
int | protoId () const
| The protocol id for the tap.
void | setFilter (QString filter)
| Set the filter string.
QString | filter () const
| Return a filter set for the model.
bool | resolveNames () const
| Is the model set to resolve names in address and ports columns.
bool | allowsNameResolution () const
| Does the model allow names to be resolved.
void | setMachineReadable (bool machineReadable)
void | limitToDisplayFilter (bool limit)
bool | portsAreHidden () const
| Are ports hidden for this model.
bool | showTotalColumn () const
| A total column is filled.
bool | enableTap ()
| Enable tapping in this model.
void | disableTap ()
| Disable the tapping for this model.
dataModelType | modelType () const
| Return the model type.
conv_hash_t * | hash ()
void | updateFlags (unsigned flag)
| Update the flags.

## Additional Inherited Members
Signals inherited from ATapDataModel
void | tapListenerChanged (bool enable)
Public Attributes inherited from ATapDataModel
conv_hash_t | hash_
Protected Member Functions inherited from ATapDataModel
virtual tap_packet_cb | conversationPacketHandler ()
void | resetData ()
void | updateData (GArray *data)
register_ct_t * | registerTable () const
Static Protected Member Functions inherited from ATapDataModel
static void | tapReset (void *tapdata)
static void | tapDraw (void *tap_data)
Protected Attributes inherited from ATapDataModel
dataModelType | _type
GArray * | storage_
QString | _filter
bool | _absoluteTime
bool | _nanoseconds
bool | _resolveNames
bool | _machineReadable
bool | _disableTap
double | _minRelStartTime
double | _maxRelStopTime
unsigned | _tapFlags

## Member Function Documentation

## ◆ columnCount()

int EndpointDataModel::columnCount | ( | const QModelIndex & | parent = `QModelIndex()` | ) | const
| override virtual

Implements ATapDataModel.

## ◆ data()

QVariant EndpointDataModel::data | ( | const QModelIndex & | idx,
|  | int | role = `Qt::DisplayRole`
| ) |  | const
| override virtual

Implements ATapDataModel.

## ◆ headerData()

QVariant EndpointDataModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation = `Qt::Horizontal`,
|  | int | role = `Qt::DisplayRole`
| ) |  | const
| override virtual

Implements ATapDataModel.

## ◆ setResolveNames()

void EndpointDataModel::setResolveNames | ( | bool | resolve | ) |
| override virtual

Enable or disable if names should be resolved.

Parameters

  resolve | true if names should be resolved

Implements ATapDataModel.

## ◆ useAbsoluteTime()

void EndpointDataModel::useAbsoluteTime | ( | bool | absolute | ) |
| override virtual

Use absolute time for any column supporting it.

Parameters

  absolute | true to use absolute time values

Implements ATapDataModel.

## ◆ useNanosecondTimestamps()

void EndpointDataModel::useNanosecondTimestamps | ( | bool | nanoseconds | ) |
| override virtual

Use nanosecond timestamps if requested.

Otherwise, microsecond time resolution will be displayed

Parameters

  nanoseconds | use nanosecond timestamps if required and requested

Implements ATapDataModel.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/atap_data_model.h
- /builds/wireshark/wireshark/ui/qt/models/atap_data_model.cpp